/**
 *
 * Created by Kyle Benk kylebenkapps.com
 *
 */

jQuery(document).ready(function($) {

	$("#" + wps_fb_repeater_data.prefix_dash + "social-div-tbody").sortable();

	var MaxInputs       = 20; //maximum input boxes allowed
	var InputsWrapper   = $("#" + wps_fb_repeater_data.prefix_dash + "social-div-tbody"); //Input boxes wrapper ID
	var AddButton       = $("." + wps_fb_repeater_data.prefix_dash + "social-add-platform"); //Add button ID

	var x = $("#" + wps_fb_repeater_data.prefix_dash + "social-div-tbody tr").length;

	$(AddButton).click(function (e) {

		if(x < MaxInputs) {

			var social_type = '<select id="' + wps_fb_repeater_data.prefix_dash + 'social-type" name="' + wps_fb_repeater_data.prefix_dash + 'social-type[]">';

			$.each(wps_fb_repeater_data.social_icons, function(key, value) {
				social_type += '<option value="' + key + '">' + value + '</option>';
			});

			social_type += '</select>';

			var social_url = '<input class="form-control" id="' + wps_fb_repeater_data.prefix_dash + 'social-twitter-url" name="' + wps_fb_repeater_data.prefix_dash + 'social-url[]" type="text" value="" placeholder="http://example.com"/>';

			var remove = '<input class="' + wps_fb_repeater_data.prefix_dash + 'social-remove-platform btn btn-danger" type="button" value="' + wps_fb_repeater_data.remove + '"/>';

			var move = '<span class="glyphicon glyphicon-move"></span>';

			var new_platform = '<tr class="text-center"><td>' +
				move + '</td><td>' +
				social_type + '</td><td>' +
				social_url + '</td><td>' +
				remove +
				'</td></tr>';

			$(InputsWrapper).append(new_platform);

			x++;
		}

		return false;
	});

	$("body").on("click","." + wps_fb_repeater_data.prefix_dash + "social-remove-platform", function(e){

		if( x >= 0 ) {
        	$(this).parent('td').parent('tr').remove();
        	x--;
        }

		return false;
	});
});